Create end user

POST
/v1/endusers

Create an end user.

Authorization

ApiKeyAuth organization.member
headerAuthorization<token>

Scope: organization.member

Request Body

The end user's details

application/json
  1. body
displayName?string

The contact's display name

email?string

The contact's primary email address

phoneNumber?string

The contact's primary phone number

additionalEmails?array<string>

Additional email addresses for the contact

additionalPhoneNumbers?array<string>

Additional phone numbers for the contact

firstName?string

The contact's first name

lastName?string

The contact's last name

middleNames?array<string>

The contact's middle names

avatarUrl?string

The url from which to load the contact's avatar

externalId?string

Custom external identifier for the contact

Response Body

The created end user

application/json
  1. response
data*
curl -X POST 'https://dev.dixa.io/v1/endusers' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "displayName": "Alice Brown",  "email": "alice@brown.com",  "phoneNumber": "+551155256325",  "additionalEmails": [    "alice@secondary.email"  ],  "additionalPhoneNumbers": [    "+5566778899"  ],  "firstName": "Alice",  "lastName": "Brown",  "middleNames": [],  "avatarUrl": "http://avatar.url",  "externalId": "#12345678"}'
{
"data": {
"id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"phoneNumber": "+551155256325",
"additionalEmails": [
"alice@secondary.email"
],
"additionalPhoneNumbers": [
"+5566778899"
],
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_id",
"externalId": "#12345678",
"customAttributes": [
{
"id": "4baa78bc-4815-4122-9c99-f71cd742d37b",
"name": "My Attribute",
"identifier": "my_attribute",
"value": "My Attribute Value"
}
]
}
}